SQLITE3_BLOB(3) | Library Functions Manual | SQLITE3_BLOB(3)

# NAME

`sqlite3_blob` — a handle to an open BLOB

# SYNOPSIS

`#include <sqlite3.h>`

typedef struct sqlite3_blob sqlite3_blob;

# DESCRIPTION

An instance of this object represents an open BLOB on which incremental BLOB I/O can be performed. Objects of this type are created by `sqlite3_blob_open`() and destroyed by `sqlite3_blob_close`(). The `sqlite3_blob_read`() and `sqlite3_blob_write`() interfaces can be used to read or write small subsections of the BLOB. The `sqlite3_blob_bytes`() interface returns the size of the BLOB in bytes.

# IMPLEMENTATION NOTES

These declarations were extracted from the interface documentation at line 7669.

    typedef struct sqlite3_blob sqlite3_blob;

# SEE ALSO

sqlite3_blob_bytes(3), sqlite3_blob_close(3), sqlite3_blob_open(3), sqlite3_blob_read(3), sqlite3_blob_write(3)

January 24, 2024 | NetBSD 11.0